<template>
    <div>
        <template v-for="(link, i) in [...links, { text: current, to: null }]">
            <span v-if="i" :key="`spacer-${link.text}`"> > </span>
            <router-link v-if="!!link.to" :key="link.text" :to="link.to">{{
                link.text
            }}</router-link
            ><span :key="link.text" v-else>{{ link.text }}</span>
        </template>
    </div>
</template>

<script>
export default {
    name: "NavLinks",
    props: { links: { type: Array, default: () => [] }, current: String },
};
</script>

<style scoped></style>
